// 上报动态
import Utils from "../../../../utils/util"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    topBarH: app.globalData.CustomBar,

    dateFilter: Utils.formatTime(new Date(), '-'),
    showTypePop: false,
    showAdvicePop: false,
    TypeData: ['常规工作', '督办工作'],
    AdviceData: ['处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议处理建议'],
    postData: {}
  },

  /**
   * 显示/关闭弹窗
   */
  popModal: function (params) {
    const type = params.currentTarget.dataset.type;
    this.data[type] = !this.data[type];
    this.setData(this.data)
  },

  /**
   * 通知类型
   */
  typeChange: function (params) {
    const index = params.currentTarget.dataset.index;
    this.data.postData.type = index + 1;
    this.data.showTypePop = false;
    this.setData(this.data)
  },

  /**
   * 通知内容
   */
  inputContent: function (e) {
    this.data.postData.content = e.detail.value;
  },

  /**
   * 发布
   */
  push: function (params) {
    this.data.showAdvicePop = !this.data.showAdvicePop;
    this.setData(this.data)
  },

  /**
   * 获取通知详情
   */
  getDetail: function () {
    app.axios('GET', 'admin', `/notice/getGovNotice/${this.data.uuid}`, {}, false).then(res => {
      if (res.code == 1) {
        this.data.postData = res.data;
        this.setData(this.data);
        this.getFiles();
      }
    })
  },

  /**
   * 预览文件
   */
  filePre: function (params) {
    const url = params.currentTarget.dataset.url;
    wx.downloadFile({
      url: this.data.baseUrl + url,
      success: res => {
        const filePath = res.tempFilePath
        wx.openDocument({
          filePath: filePath,
          success: function (res) {}
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.data.isUserDetail = options.user;
    this.data.uuid = options.uuid || utils.uuid();
    this.data.isDetail = options.uuid || false;
    this.getWorker();
    if (this.data.isDetail) {
      this.getDetail();
    }
    this.setData(this.data)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})